#
# spec file for package sl
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2012 <vodoo@vakw.ch>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           sl
Version:        5.05
Release:        1.5
Summary:        Steam Locomotive in ASCII art
# The warranty claim is a bit different, but the rights are the same as in ISC
License:        ISC
Group:          Amusements/Toys/Other
URL:            https://github.com/eyJhb/sl
Source:         https://github.com/eyJhb/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ncurses-devel
Conflicts:      python3-softlayer

%description
"sl" displays a steam locomotive running across the terminal.
It is a joke command intended to catch any mistypings of "ls".

%prep
%autosetup -p1

%build
%make_build OPTFLAGS="%{optflags}"

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
cp sl %{buildroot}%{_bindir}/sl
cp sl.1 %{buildroot}%{_mandir}/man1/sl.1

%files
%{_mandir}/man1/sl.1%{?ext_man}
%{_bindir}/%{name}
%doc README.md
%license LICENSE

%changelog
* Mon Jul 10 2023 Andrea Manzini <andrea.manzini@suse.com>
- Update to versione 5.05:
  * add -G option that add an orange TGV
- Changed upstream repository to new fork https://github.com/eyJhb/sl
- removed patch update_to_master_at_923e7d7.patch
- run spec-cleaner
* Sat Aug 24 2019 Jan Engelhardt <jengelh@inai.de>
- Clarify description.
* Mon Jul 29 2019 Sebastian Wagner <sebix+novell.com@sebix.at>
- Add Conflict with python3-softlayer.
* Tue Jul  2 2019 Sebastian Wagner <sebix+novell.com@sebix.at>
- specfile: fix license, add license and readme file
* Thu Feb 21 2019 jannik.main@gmail.com
- Remove old patchfile.
* Thu Feb 21 2019 jannik.main@gmail.com
- Change patchname to reference upstream-commit.
* Thu Dec 27 2018 Matej Cepl <mcepl@suse.com>
- Initial packaging effort. Use verifiable 5.02 tarball,
  and patch update_to_master_at_923e7d7.patch which lifts the
  code up to the latest commit on the master branch now (commit
  ID 923e7d7).
